> For the complete documentation index, see [llms.txt](https://docs.abtasty.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.abtasty.com/account/tag-integration/implement-ab-tasty-tag/ab-tasty-integration-with-shopify.md).

# AB Tasty integration with Shopify

To support users hosting their commercial websites on Shopify, AB Tasty offers two integration methods:

## **1. Shopify App aka Web Pixel (Recommended)** <a href="#h_01jq6tnxtjn7jsj2kyebbtvt04" id="h_01jq6tnxtjn7jsj2kyebbtvt04"></a>

AB Tasty provides a **native app** available on the **Shopify Marketplace**, offering a seamless integration experience.

### **Key Benefits:** <a href="#h_01jq6tnxtj5h2azqmpkqsed1xy" id="h_01jq6tnxtj5h2azqmpkqsed1xy"></a>

* Automated Tag Installation
* All standard Event Tracking
* Transaction Data Retrieval
* Checkout on Subdomains fully supported
* Synchronous or asynchronous tag loading
* Multi-environment Compatibility (Web experimentation & FE\&R, Reco\&Merch API)

Available for All Shopify Plan : Premium / Plus

&#x20;

### **When to Use This Method:** <a href="#h_01jq6tspgbxtykntdarjca5yag" id="h_01jq6tspgbxtykntdarjca5yag"></a>

* You want to follow Shopify transactional events during the campaign.
* You want to retrieve extended transactional data such as payment info & Cart events
* You don’t want to install AB Tasty Tag on Shopify
* You are using a subdomain for checkout

To know how to use our app, please read[ How to implement Shopify application](https://docs.abtasty.com/account/tag-integration/implement-ab-tasty-tag/ab-tasty-integration-with-shopify.md) article.

To learn more about the functionalities, please read[ Understanding Shopify App features](https://docs.abtasty.com/account/tag-integration/implement-ab-tasty-tag/ab-tasty-integration-with-shopify/understanding-shopify-app-features.md).

&#x20;

## **2. Custom Application aka Custom Pixel** <a href="#h_01jq6tt4wz9tjns2vrpdz2w88x" id="h_01jq6tt4wz9tjns2vrpdz2w88x"></a>

For users with **non-native Shopify setups**, a custom integration may be more suitable.

### **When to Use This Method:** <a href="#h_01jq6tt4wzm2tmskk4ntc7wb4a" id="h_01jq6tt4wzm2tmskk4ntc7wb4a"></a>

* You have a **non-standard Shopify implementation**.&#x20;
* You can **manage the AB Tasty tag injection** manually.
* You only need to **retrieve transaction data** on a checkout domain or subdomain.

To know how to configure a Custom Pixel in Shopify, please check [How to set-up Shopify Custom pixel](https://docs.abtasty.com/account/tag-integration/implement-ab-tasty-tag/ab-tasty-integration-with-shopify/how-to-set-up-shopify-custom-pixel-app.md) article.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.abtasty.com/account/tag-integration/implement-ab-tasty-tag/ab-tasty-integration-with-shopify.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
